Subject: Re: [Sipping] New revision of cc-framework

From: Alan Johnston <[email-masked]>
Date: Fri, 15 Feb 2008 09:40:20 -0600

All reviewer's comments have been addressed in the draft and this draft 
should proceed without any further delays.

See my comments below.

Thanks,
Alan

Elwell, John wrote:
> My comments have been dealt with as follows:
>
> General comment. Not addressed.
>   

This draft covers a big topic - call control for SIP.  The inclusion of 
a few related topics does no harm.  This text has been in this draft for 
years without any objections.  The text should stay.

This comment is addressed.

> Comment 1. Addressed.
>
> Comment 2. Not addressed.
>   

For a definition of hidden, I'd suggest any decent dictionary.  I do not 
feel the text is confusing and no other reader or reviewer has had this 
difficulty.

This comment is addressed.

> Comment 3. Not addressed.
>   

Obviously, when the user hangs up, they are no neither passive or on 
hold.  While they are on hold, they are passive.    When they hang up, 
they will no longer be passive.  An idiotically pedantic UA could, take 
itself off of hold first, then hang up.

This comment is addressed.

> Comment 4. Partly addressed. It appears that the term "session dialog"
> has been removed, but there are still many instances of "dialog" and
> "SIP dialog", apparently meaning the same thing. We should use only one
> term. Since there is also the term "voice dialog" meaning something
> different, it would be better never to use the term "dialog" without
> qualification (e.g., "SIP dialog"), except in contexts where it is clear
> such as "dialog event package".
>   

SIP dialog and dialog do mean the same thing.  In a SIP document, dialog 
without a qualification is a SIP dialog.  The same applies to terms such 
as method, header field, and parameter, which do not always require a 
SIP qualifier in a SIP document.

This comment is addressed.

> Comment 5. Not addressed satisfactorily. It now says that for the
> peer-to-peer approach "setup time is shorter (fewer messages are
> required to be sent by the initiator of the action)". On what evidence
> is this statement made? As far as I can see, the initiator of the action
> in the example I gave in my comment sends the same number of messages in
> both the P2P case and the 3PCC case (REFER request, either BYE request
> or BYE response).
>   

As the text says, what is being compared is not the total number of 
messages sent by all participants, but the number sent by the initiator. 
  An example with a B2BUA in the middle is not a valid example for an 
IETF document.   By any math calculation, the statement is correct.

This comment is addressed.

> Comment 6. Addressed.
>
> Comment 7. I will withdraw.
>
> Comment 8. Addressed.
>
> Comment 9. Addressed.
>
> John
>
>   
>> -----Original Message-----
>> From: Gonzalo Camarillo [mailto:[email-masked]] 
>> Sent: 14 December 2007 05:47
>> To: Mahendran, AC; Elwell, John; MARJOU Xavier RD-MAPS-LAN
>> Cc: Alan Johnston; Mary Barnes; sipping
>> Subject: New revision of cc-framework
>>
>> WGLC Reviewers of the cc-framework draft,
>>
>> the authors have put together a new revision of the 
>> cc-framework draft. 
>> This revision is supposed to address all your WGLC comments. 
>> Could you 
>> please have a look at it and let us know if it indeed addresses your 
>> comments?
>>
>> http://www.ietf.org/internet-drafts/draft-ietf-sipping-cc-fram
>> ework-09.txt
>>
>> You can find your reviews at:
>> https://softarmor.com/sipping/process/wg-review/sipping-rt.html
>>
>> In any case, the authors of the draft will have to revise the 
>> draft once 
>> more because the current revision has a few problems with references 
>> that should be fixed before we request its publication.
>>
>> Thanks,
>>
>> Gonzalo
>>
>>
>>     
>
>
>   

_______________________________________________
Sipping mailing list  http://www.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP